XINE, A Free Video Player Project - API reference

Main Page Modules Data Structures File List Data Fields Globals

# API functions

## Modules
Sending events
Loading plugins
Autoplay support
Browsing support
Audio.
Engine management
Init functions
Video.
Version functions
Version constants
Player status constants
## Defines
#define | XINE_IMGFMT_YV12 0x32315659
#define | XINE_IMGFMT_YUY2 (('2'<<24)|('Y'<<16)|('U'<<8)|'Y')
#define | XINE_ASPECT_RATIO_SQUARE 1
#define | XINE_ASPECT_RATIO_4_3 2
#define | XINE_ASPECT_RATIO_ANAMORPHIC 3
#define | XINE_ASPECT_RATIO_211_1 4
#define | XINE_ASPECT_RATIO_DONT_TOUCH 42
## Functions
int | xine_get_current_frame (xine_t *self, int *width, int *height, int *ratio_code, int *format, uint8_t **y, uint8_t **u, uint8_t **v)
| Snapshot function.

## Define Documentation

#define XINE_ASPECT_RATIO_211_1 4

| aspect ratio. See also: xine_get_current_frame

#define XINE_ASPECT_RATIO_4_3 2

| aspect ratio. See also: xine_get_current_frame

#define XINE_ASPECT_RATIO_ANAMORPHIC 3

| aspect ratio. See also: xine_get_current_frame

#define XINE_ASPECT_RATIO_DONT_TOUCH 42

| aspect ratio. See also: xine_get_current_frame

#define XINE_ASPECT_RATIO_SQUARE 1

| aspect ratio. See also: xine_get_current_frame

#define XINE_IMGFMT_YUY2 (('2'<<24)|('Y'<<16)|('U'<<8)|'Y')

| image format. See also: xine_get_current_frame

#define XINE_IMGFMT_YV12 0x32315659

| image format. See also: xine_get_current_frame

## Function Documentation

int xine_get_current_frame ( | xine_t * self,
| int * width,
| int * height,
| int * ratio_code,
| int * format,
| uint8_t ** y,
| uint8_t ** u,
| uint8_t ** v )

  | Snapshot function. Parameters:
  self | Current xine engine configuration ( see xine_init() )
  width | Width of image (be aware that u,v may be subsampled)
  height | Height of image (be aware that u,v may be subsampled)
  ratio_code | Aspect ratio of the frame
  format | Subsampling format YUV 4:2:0 or 4:2:2
  y | Lumiance information
  u | Subsample color information
  v | Subsample color information
  Returns: 1 on success, 0 failure. Parameters:
  self |
  width |
  height |
  ratio_code |
  format |
  y |
  u |
  v |